Skip to content
Permalink
Browse files

dev-python/vulners: bump to 1.5.5; app-exploits/getsploit: drop py27

  • Loading branch information
linxon committed Jan 14, 2020
1 parent fada6d7 commit 26fa78dc13a90ef79427acd02ddd4969b8774e73
@@ -1 +1 @@
DIST getsploit-0.3.3_p20190531.tar.gz 8746 BLAKE2B d4e03b429eca935ece540fd8422b8432e96a465af0da48a417893f6506da56935a88c6d3766c1b1b6154e0f7ae9f14755e68ae274643f6230ece72ed5537480a SHA512 a3aa6d393713e6a375c0245b735744790836ca4a7ab113728a851e2fe75b4ce1438c7ca5ac430d8ff86abf18370f5f5fa962c923651acbe13cd7009449a8d293
DIST getsploit-0.3.3_p20190530.tar.gz 8746 BLAKE2B d4e03b429eca935ece540fd8422b8432e96a465af0da48a417893f6506da56935a88c6d3766c1b1b6154e0f7ae9f14755e68ae274643f6230ece72ed5537480a SHA512 a3aa6d393713e6a375c0245b735744790836ca4a7ab113728a851e2fe75b4ce1438c7ca5ac430d8ff86abf18370f5f5fa962c923651acbe13cd7009449a8d293

This file was deleted.

@@ -1,10 +1,10 @@
# Copyright 1999-2019 Gentoo Authors
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python{2_7,3_{5,6}} )
PYTHON_REQ_USE="sqlite"
PYTHON_COMPAT=( python3_{6,7} )
PYTHON_REQ_USE="sqlite(+)"

inherit distutils-r1

@@ -15,7 +15,7 @@ if [[ ${PV} == *9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/vulnersCom/getsploit"
else
# snapshot: 20190531
# snapshot: 20190530
HASH_COMMIT="5993293fc22d98d8e9a7a2bd205fcd9824e332f1"

SRC_URI="https://github.com/vulnersCom/getsploit/archive/${HASH_COMMIT}.tar.gz -> ${P}.tar.gz"
@@ -25,7 +25,6 @@ fi

LICENSE="LGPL-3"
SLOT="0"
IUSE=""

DEPEND="${PYTHON_DEPS}"
RDEPEND="${DEPEND}
@@ -1 +1,2 @@
DIST vulners-1.5.4.tar.gz 27166 BLAKE2B 8c2e53d876f5895513128a2fa7919c1e80a7b599a68f84241d9c6a9adf9da18137f3e09491680f6067a4f2fe41376b2740a2fa07d7195b0cd7f8527185fd4d85 SHA512 490ec29157c76d04d34d9c865d2004df43ed9c0c0d55d96d53f6f2abbdaa6341b84e3d93f0cb6790a8a393d8455fa5e4cfcfc7cd67ed6589548a5ca508d03bec
DIST vulners-1.5.5.tar.gz 27193 BLAKE2B 4e4388f7e0f5fc5eb4e332651e0dbca39895cbd5c707ef398ec1650fceb3655888b51e224f8e3c4e6fec8754065bd26d6f11000805457c4fd9a2617fa273f056 SHA512 32bca0e212b19bcdf25afd235b02e51bd7ae4a961b1df790bc3df828fce4c2953956bc945016604abf40481fa5e44ef205ead385b1839285a9d0654266531922
@@ -0,0 +1,21 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python3_{6,7,8} )

inherit distutils-r1

DESCRIPTION="Python API wrapper for the Vulners Database"
HOMEPAGE="https://github.com/vulnersCom/api"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
KEYWORDS="amd64 ~arm ~x86"

LICENSE="GPL-3"
SLOT="0"

RDEPEND="${PYTHON_DEPS}
dev-python/requests[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/urllib3[${PYTHON_USEDEP}]"

0 comments on commit 26fa78d

Please sign in to comment.
You can’t perform that action at this time.